@charset "UTF-8"


body {
    overflow: hidden;
}

html {
    background: rgb(72, 95, 135);
    color: rgb(184, 180, 176);
    font-family: sans-serif;
}

.page {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    margin-top: 1vh;
    margin-bottom: 2vh;
    margin-right: 1vh;
    margin-left: 1vh;
    max-height: 97vh;
    background: rgb(25, 25, 25);
    border-color: rgb(72, 95, 135);
    border-style: solid;
    border-width: 5px;
    border-radius: 2vh;
    overflow: scroll;
    align-items:center;
}

.blog {
    font-size: 110%;
    width: 75vw;
    align-items:center;
}

.code_and_result {
    display: flex;
    flex-direction: column;
    padding: 0;
    width: 50vw;
    align-items:center;
}

.codeblock {
    width: 50vw;
    background: rgb(0,0,0);
    color: rgb(255,255,255);
    font-family: monospace;
    font-size: 14px;
    white-space: pre-wrap;
    border-radius: 1vh;
    margin-left: 20vw;
    padding: 1%;
}

.code_result {
    border-radius: 1vh;
    margin-left: 9vw;
    width: 50vw;
    padding: 1%;
}

.block-of-images {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.block-of-images > img{
    padding: 1%;
}

.caption {
    margin-left: 20vw;
    margin-right: 15vw;
    padding: 1%;
}

@media only screen and (orientation:portrait) {
    .page {
        height: 80vh;
    }
}
